%global sum     Graphical roguelike game with innovative gameplay and sarcastic humor
%define uversion %(echo %{version} | tr -d '.')

Name:           ivan
Version:        0.54
Release:        %mkrel 4
Summary:        %{sum}
Group:          Games/Adventure
License:        GPLv2+ and CC-BY-SA
URL:            https://attnam.com
Source0:        https://github.com/Attnam/ivan/archive/v%{uversion}/%{name}-%{uversion}.tar.gz

Patch0:         ivan-pr490-USE_HOME_FOR_STATE_DIR-option.patch
Patch1:         0001-Fix-Werror-format-security-errors-in-FeLib.patch

BuildRequires:  cmake
BuildRequires:  libicns-utils
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)

%description
Fellow adventurer, turn back while you can! For here begins the roguelike
Iter Vehemens ad Necem, a Violent Road to Death. If you choose to travel
along it, you will dive into countless exciting adventures to gain items of
great magic, attain powerful equipment made of mysterious materials, bathe in
the blessings of mighty gods and recruit loyal allies of various shapes and
sizes. Unfortunately, along the way you will also often be dangerously
injured, poisoned, catch numerous diseases, lose several limbs and transform
into manifold different kinds of pitiful creatures in the darkest depths of
hostile dungeons. And, at the end of the road, you are bound to perish in a
most gruesome and painful way.
Don't say we didn't warn you.

%prep
%autosetup -p1 -n %{name}-%{uversion}

%build
%cmake \
    -DBUILD_SHARED_LIBS=OFF \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir} \
    -DUSE_HOME_FOR_STATE_DIR=ON
%cmake_build

%install
%cmake_install

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/com.attnam.%{name}.desktop
[Desktop Entry]
Name=Iter Vehemens ad Necem
GenericName=Roguelike game
Comment=%{sum}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;RolePlaying;
EOF

icns2png -x ci/osx/IVAN.app/Contents/Resources/ivan.icns
for size in 16x16 32x32 128x128; do
    install -D -m644 ivan_${size}x32.png %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.png
done

%files
%doc AUTHORS NEWS README.md
%license COPYING LICENSING
%{_datadir}/applications/com.attnam.%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Apr 15 2020 danf <danf> 0.54-4.mga8
+ Revision: 1567466
- Fix Comment= in .desktop file to stop referring to debug sources

* Fri Feb 14 2020 umeabot <umeabot> 0.54-3.mga8
+ Revision: 1520143
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Nov 05 2018 akien <akien> 0.54-2.mga7
+ Revision: 1328517
- Package documentation
- Add desktop file and icon

* Mon Nov 05 2018 akien <akien> 0.54-1.mga7
+ Revision: 1328501
- imported package ivan

